Bug 564507 - When run as non-root user, virt-viewer doesn't work
When run as non-root user, virt-viewer doesn't work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-12 17:22 EST by James Laska
Modified: 2013-09-02 02:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 05:22:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-02-12 17:22:44 EST
Description of problem:

Running `virt-viewer GUEST` as a non-root user, doesn't appear to work.  

Version-Release number of selected component (if applicable):
* virt-viewer-0.2.0-1.fc12.x86_64

How reproducible:
* Seems like every attempt fails. 

Steps to Reproduce:
1. As a non-root user, type: virt-viewer <GUESTNAME>
  
Actual results:

virt-viewer returns to the shell and has an exit code of 255.  Not virt-viewer window appears and the user is not prompted for access information

Expected results:

Some password prompt to connect to the local qemu:///system libvirtd?

Additional info:

* Running the same command as the root user works fine
* The guest I am attempting to connect to is running ...

# su -c 'virsh list'
 Id Name                 State
----------------------------------
  2 vguest1              running
Comment 1 James Laska 2010-02-12 17:28:23 EST
Maybe this is a dumb operator thing.  I swear I tried the -c argument before filing this.

But as non-root, the following seems to work

$ virt-viewer -c qemu:///system GUEST
Comment 2 Daniel Berrange 2010-02-15 05:22:29 EST
Yes, as non-root you need to supply the connection, otherwise it will be connecting to qemu://session instead

Note You need to log in before you can comment on or make changes to this bug.